
<div class="bg-#2E2C2C rounded text-white relative w-full ">

    <!-- Carousel wrapper -->
    
    <div class="grid grid-cols-1 lg:grid-cols-2 gap-60px  mx-3 lg:mx-36 ">
        <div class="">
            <h2 class=" font-roboto_slab uppercase text-15/15 mx-auto mt-60px">{{'JOBTECH.KPI.KPI_HEADER'|t}}</h2>
            <h3 class="font-playfair text-left lg:text-30/40 text-25/40">{{'JOBTECH.KPI.KPI_INGRESS'|t}}</h3>
            <p class="font-roboto_reg text-18/26 mb-60px lg:text-left lg:text-20/30">{{'JOBTECH.KPI.KPI_TEXT'|t}}<p>
        </div>   
        <div class="w-full  lg:mt-20">
            <table class="table-fixed w-full font-roboto_reg text-18/26 xl:text-base lg:text-base mt-30px">
                <thead class="text-left ">
                    <tr class="border-t-4 border-b-2">
                        <th>{{'JOBTECH.KPI.KPI_COUNTS'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_YESTERDAY'|t}}</th>
                        <th>{{'JOBTECH.KPI.KPI_MONTH'|t}}</th>
                    </tr>
                </thead>
                <tbody >
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_API'|t}}</td>
                        <td class="apis_yesterday" id="apis_yesterday"></td>
                        <td class="apis_avrage" id="apis_avrage"></td>
                    </tr>
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_DATASET'|t}}</td>
                        <td class="datasets_yesterday" id="datasets_yesterday"></td>
                        <td class="datasets_avrage" id="datasets_avrage"></td>
                    </tr>
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_CLIENT'|t}}</td>
                        <td ><span class="clients_yesterday" id="clients_yesterday">N/A </span> {{'JOBTECH.KPI.KPI_THOUSAND'|t}}</td>
                        <td><span class="clients_avrage" id="clients_avrage">N/A</span> {{'JOBTECH.KPI.KPI_THOUSAND'|t}} </td>
                    </tr>
                    <tr class="border-b-2">
                        <td>{{'JOBTECH.KPI.KPI_REQUEST'|t}}</td>
                        <td><span class="requests_yesterday" id="requests_yesterday">N/A </span> {{'JOBTECH.KPI.KPI_MILLION'|t}} </td>                        
                        <td><span class="requests_avrage" id="requests_avrage">N/A</span> {{'JOBTECH.KPI.KPI_MILLION'|t}}</td>
                    </tr>
                                 
                    
                </tbody>
            </table>
             <div class="lg:text-sm mt-2">* {{'JOBTECH.KPI.KPI_VALUE'|t}} </div>

            <div class="w-full font-roboto_reg text-sm xl:text-base mb-60px mt-30px">
                
                <div class="flex gap-4 mx-auto">
                    
                    <div class="uppercase flex-none"><a href="https://status.jobtechdev.se/">{{'JOBTECH.KPI.KPI_AVAILABILITY'|t}}</a>
                        <img class="inline  mx-1 lg:w-4 lg:h-4" src="/user/themes/jobtechtailwind/assets/external-link-icon-white.png " alt="{{'JOBTECH.CONTENT.EX_LINK'|t}}" >
                    </div>
                    <div class="uppercase flex-none"><a href="https://data-develop.jobtechdev.se/jobtechdev-daily-report/board.html">{{'JOBTECH.KPI.KPI_DATA'|t}}</a>
                        <img class="inline mx-1 lg:w-4 lg:h-4 " src="/user/themes/jobtechtailwind/assets/external-link-icon-white.png " alt="{{'JOBTECH.CONTENT.EX_LINK'|t}}" >
                    </div>
                   
                    
                </div>
                
            </div>
            
        </div>
    </div>    



</div>

<script>
var options = {year: 'numeric', month: 'numeric', day: 'numeric' };
let date = new Date();
let toDayStr = date.toISOString().split('T')[0].replaceAll('-','');
date.setDate(date.getDate() - 1);
let yesterdayStr = date.toISOString().split('T')[0].replaceAll('-','');


fetch('https://data-develop.jobtechdev.se/jobtechdev-daily-report/kpi_20240318.json')
    .then((response) => response.json())
    .then((data) => {
        console.log(data)
        document.getElementById('clients_avrage').innerText = numberFormat(data.data.v1.value);
        document.getElementById('clients_yesterday').innerText = numberFormat(data.data.v1.value);
        document.getElementById('requests_avrage').innerText = numberFormat(data.data.v2.value);
        document.getElementById('requests_yesterday').innerText = numberFormat(data.data.v2.value);
        document.getElementById('apis_avrage').innerText = numberFormat(data.data.v4.value);
        document.getElementById('apis_yesterday').innerText = numberFormat(data.data.v4.value);
        document.getElementById('datasets_avrage').innerText = numberFormat(data.data.v3.value);
        document.getElementById('datasets_yesterday').innerText = numberFormat(data.data.v3.value);
        
    });



function numberFormat(val){
     return new Intl.NumberFormat('sv-SV').format(
    val
  )
}
</script>


